using Microsoft.OpenApi.Models;

var builder = WebApplication.CreateBuilder(args);
builder.Services.AddEndpointsApiExplorer();
builder.Services.AddSwaggerGen(c =>
{
    c.SwaggerDoc("v1", new OpenApiInfo
    {
        Title = "FPGA Web Lab API",
        Description = "Use FPGA in the cloud",
        Version = "v1"
    });
});

var app = builder.Build();
if (app.Environment.IsDevelopment())
{
    app.UseSwagger();
    app.UseSwaggerUI(c =>
    {
        c.SwaggerEndpoint("/swagger/v1/swagger.json", "FPAG WebLab API V1");
    });
}

// Router
app.MapGet("/", () => "Hello World!");

var thrdStartUdpServer = new ThreadStart(UDPServer.Start);
var thrdUdpServer = new Thread(thrdStartUdpServer);
thrdUdpServer.Start();
Console.WriteLine("Start UDP Server");
var thrdStartUdpClient = new ThreadStart(UDPClient.Start);
var thrdUdpClient = new Thread(thrdStartUdpClient);
thrdUdpClient.Start();
Console.WriteLine("Start UDP Client");


thrdUdpServer.Join();
thrdUdpClient.Join();

// app.Run("http://localhost:5000");


